<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage  Pushpa
 * @since  Pushpa 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'pushpa_menu',
	array(
		'title'             => esc_html__('Header Menu','pushpa'),
		'description'       => esc_html__( 'Header Menu options.', 'pushpa' ),
		'panel'             => 'nav_menus',
	)
);

// Menu sticky setting and control.
$wp_customize->add_setting( 'pushpa_theme_options[menu_sticky]',
	array(
		'sanitize_callback' => 'pushpa_sanitize_switch_control',
		'default'           => $options['menu_sticky'],
	)
);

$wp_customize->add_control( new Pushpa_Switch_Control( $wp_customize,
	'pushpa_theme_options[menu_sticky]',
		array(
			'label'             => esc_html__( 'Make Menu Sticky', 'pushpa' ),
			'section'           => 'pushpa_menu',
			'on_off_label' 		=> pushpa_switch_options(),
		)
	)
);

// Top Advertisement content enable control and setting
$wp_customize->add_setting( 'pushpa_theme_options[header_advertisement_section_enable]', array(
	'default'			=> 	$options['header_advertisement_section_enable'],
	'sanitize_callback' => 'pushpa_sanitize_switch_control',
) );

$wp_customize->add_control( new Pushpa_Switch_Control( $wp_customize, 'pushpa_theme_options[header_advertisement_section_enable]', array(
	'label'             => esc_html__( 'Top Advertisement Section Enable', 'pushpa' ),
	'section'           => 'pushpa_top_advertisement_section',
	'on_off_label' 		=> pushpa_switch_options(),
) ) );